roboptim::SolverError Class Reference
Optimization problems

Base exception class for solving errors. More...

`#include <roboptim/core/solver-error.hh>`

Inheritance diagram for roboptim::SolverError:

## Public Member Functions

| SolverError (const std::string &arg) throw ()
| Instantiate an error from an error message. More...
| SolverError (const std::string &arg, const Result &res) throw ()
| Instantiate an error from an error message. More...
| SolverError (const SolverError &error) throw ()
| Copy constructor. More...
| ~SolverError () throw ()
| Trivial destructor. More...
virtual std::ostream & | print (std::ostream &) const throw ()
| Display the error on the specified output stream. More...
const boost::optional< Result > & | lastState () const throw ()
| Retrieve the (optional) last state of the solver. More...
boost::optional< Result > & | lastState () throw ()
| Retrieve the (optional) last state of the solver. More...

## Detailed Description

Base exception class for solving errors.

All other exceptions classes concerning the optimization process should inherits this class.

## Constructor & Destructor Documentation

roboptim::SolverError::SolverError | ( | const std::string & | arg | ) |
throw | ( |
| ) |  |

explicit

Instantiate an error from an error message.

Parameters

  arg | error message.

roboptim::SolverError::SolverError | ( | const std::string & | arg,
|  | const Result & | res
| ) |  |
throw | ( |
| ) |  |

Instantiate an error from an error message.

Parameters

  arg | error message.
  res | last state of the solver.

roboptim::SolverError::SolverError | ( | const SolverError & | error | ) |
throw | ( |
| ) |  |

Copy constructor.

Parameters

  error | other error to copy.

roboptim::SolverError::~SolverError | ( |  | ) |
throw | ( |
| ) |  |

Trivial destructor.

## Member Function Documentation

const boost::optional< Result > & roboptim::SolverError::lastState | ( |  | ) | const
throw | ( |
| ) |  |

Retrieve the (optional) last state of the solver.

Returns
  last state of the solver.

boost::optional< Result > & roboptim::SolverError::lastState | ( |  | ) |
throw | ( |
| ) |  |

Retrieve the (optional) last state of the solver.

Returns
  last state of the solver.

std::ostream & roboptim::SolverError::print | ( | std::ostream & | o | ) | const
throw | ( |
| ) |  |

virtual

Display the error on the specified output stream.

Parameters

  o | output stream used for display

Returns
  output stream

Reimplemented in roboptim::SolverWarning.

References roboptim::fg::fail(), and roboptim::fg::reset().

Referenced by roboptim::operator<<().